CVE-2004-1026
CVSS10.0
发布时间 :2005-01-10 00:00:00
修订时间 :2010-08-21 00:21:40
NMCS    

[原文]Multiple integer overflows in the image handler for imlib 1.9.14 and earlier, which is used by gkrellm and several window managers, allow remote attackers to cause a denial of service (application crash) and execute arbitrary code via certain image files.


[CNNVD]imlib image handler 整数溢出漏洞(CNNVD-200501-026)

        imlib是一个开源的图像处理库,用于加载,绘制以及浓淡处理多种图象数据格式。
        在gkrellm及多个窗口管理器中所使用的imlib存在漏洞。imlib1.9.14及之前版本中的image handler存在多处整数溢出。
        远程攻击者可以借助特定的图像文件,造成拒绝服务(应用程序崩溃)并执行任意代码。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:enlightenment:imlib:1.9.13
cpe:/o:redhat:linux:9.0::i386
cpe:/o:gentoo:linuxGentoo Linux
cpe:/o:redhat:linux:7.3Red Hat Linux 7.3
cpe:/o:redhat:linux:7.3::i386
cpe:/o:redhat:linux:7.3::i686
cpe:/a:enlightenment:imlib:1.9.14

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:10771Multiple integer overflows in the image handler for imlib 1.9.14 and earlier, which is used by gkrellm and several window managers, allow re...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1026
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1026
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200501-026
(官方数据源) CNNVD

- 其它链接及资源

http://www.redhat.com/support/errata/RHSA-2004-651.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2004:651
http://www.securityfocus.com/bid/11830
(VENDOR_ADVISORY)  BID  11830
http://www.gentoo.org/security/en/glsa/glsa-200412-03.xml
(UNKNOWN)  GENTOO  GLSA-200412-03
http://www.debian.org/security/2005/dsa-628
(UNKNOWN)  DEBIAN  DSA-628
http://www.mandriva.com/security/advisories?name=MDKSA-2005:007
(UNKNOWN)  MANDRAKE  MDKSA-2005:007

- 漏洞信息

imlib image handler 整数溢出漏洞
危急 缓冲区溢出
2005-01-10 00:00:00 2006-09-13 00:00:00
远程  
        imlib是一个开源的图像处理库,用于加载,绘制以及浓淡处理多种图象数据格式。
        在gkrellm及多个窗口管理器中所使用的imlib存在漏洞。imlib1.9.14及之前版本中的image handler存在多处整数溢出。
        远程攻击者可以借助特定的图像文件,造成拒绝服务(应用程序崩溃)并执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/

- 漏洞信息

IMLib Multiple Remote Integer Overflow Vulnerabilities
Boundary Condition Error 11837
Yes No
2004-12-07 12:00:00 2009-07-12 08:07:00
The individual or individuals responsible for disclosure of these issues are currently unknown; these issues were disclosed in the referenced SuSE web pages.

- 受影响的程序版本

Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
Turbolinux Turbolinux Server 10.0
Turbolinux Turbolinux Desktop 10.0
Turbolinux Home
Mandriva Linux Mandrake 10.1 x86_64
Mandriva Linux Mandrake 10.1
Mandriva Linux Mandrake 10.0 AMD64
Mandriva Linux Mandrake 10.0
Mandriva Linux Mandrake 9.2 amd64
Mandriva Linux Mandrake 9.2
MandrakeSoft Corporate Server 2.1 x86_64
MandrakeSoft Corporate Server 2.1
Imlib Imlib 1.9.14
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
Imlib Imlib 1.9.13
+ MandrakeSoft Corporate Server 1.0.1
+ Mandriva Linux Mandrake 8.2
+ Mandriva Linux Mandrake 8.1 ia64
+ Mandriva Linux Mandrake 8.1
+ Mandriva Linux Mandrake 8.0 ppc
+ Mandriva Linux Mandrake 8.0
+ Mandriva Linux Mandrake 7.2
+ Mandriva Linux Mandrake 7.1
+ Red Hat Enterprise Linux AS 3
+ Red Hat Enterprise Linux AS 2.1 IA64
+ Red Hat Enterprise Linux AS 2.1
+ RedHat Advanced Workstation for the Itanium Processor 2.1
+ RedHat Desktop 3.0
+ RedHat Enterprise Linux ES 3
+ RedHat Enterprise Linux ES 2.1 IA64
+ RedHat Enterprise Linux ES 2.1
+ RedHat Enterprise Linux WS 3
+ RedHat Enterprise Linux WS 2.1 IA64
+ RedHat Enterprise Linux WS 2.1
Imlib Imlib 1.9.12
Imlib Imlib 1.9.11
+ MandrakeSoft Corporate Server 1.0.1
+ Mandriva Linux Mandrake 8.2
+ Mandriva Linux Mandrake 8.1 ia64
+ Mandriva Linux Mandrake 8.1
+ Mandriva Linux Mandrake 8.0 ppc
+ Mandriva Linux Mandrake 8.0
+ Mandriva Linux Mandrake 7.2
+ Mandriva Linux Mandrake 7.1
Imlib Imlib 1.9.10
+ Conectiva Linux 8.0
+ RedHat Linux 7.2
+ S.u.S.E. Linux 8.0 i386
+ S.u.S.E. Linux 8.0
+ S.u.S.E. Linux 7.3 sparc
+ S.u.S.E. Linux 7.3 ppc
+ S.u.S.E. Linux 7.3 i386
+ S.u.S.E. Linux 7.3
Imlib Imlib 1.9.9
+ S.u.S.E. Linux 7.2 i386
+ S.u.S.E. Linux 7.2
Imlib Imlib 1.9.8
+ Conectiva Linux 7.0
+ Conectiva Linux 6.0
+ Conectiva Linux 5.1
+ Conectiva Linux 5.0
+ Conectiva Linux graficas
+ Conectiva Linux ecommerce
+ HP Secure OS software for Linux 1.0
+ Red Hat Linux 6.2
+ RedHat Linux 7.1
+ RedHat Linux 7.0
+ S.u.S.E. Linux 7.1 x86
+ S.u.S.E. Linux 7.1 sparc
+ S.u.S.E. Linux 7.1 ppc
+ S.u.S.E. Linux 7.1 alpha
+ S.u.S.E. Linux 7.1
+ S.u.S.E. Linux 7.0 sparc
+ S.u.S.E. Linux 7.0 ppc
+ S.u.S.E. Linux 7.0 i386
+ S.u.S.E. Linux 7.0 alpha
+ S.u.S.E. Linux 7.0
+ S.u.S.E. Linux 6.4 ppc
+ S.u.S.E. Linux 6.4 i386
+ S.u.S.E. Linux 6.4 alpha
+ S.u.S.E. Linux 6.4
Imlib Imlib 1.9.7
+ Caldera OpenLinux Server 3.1.1
+ Caldera OpenLinux Server 3.1
+ Caldera OpenLinux Workstation 3.1.1
+ Caldera OpenLinux Workstation 3.1
Imlib Imlib 1.9.6
Imlib Imlib 1.9.5
Imlib Imlib 1.9.4
Imlib Imlib 1.9.3
Imlib Imlib 1.9.2
Imlib Imlib 1.9.1
Imlib Imlib 1.9
Enlightenment Imlib2 1.0.5
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha

- 漏洞讨论

Multiple remote integer overflow vulnerabilities affect the IMLib graphics library. These issues are due to a failure of the application to properly handle the management of numeric data found in image files.

An attacker may leverage these issues to gain local access to a computer running an application that implements the vulnerable library. This issue may also be used to facilitate privilege escalation.

IMLib2 has also been reported to be vulnerable to this issue.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

TurboLinux has released a security announcement and fixes to address these and other vulnerabilities. Please see the referenced announcement for further information regarding obtaining and applying appropriate updates.

Mandrake has released an advisory (MDKSA-2005:007) and updates to address these and other vulnerabilities. Please see the referenced advisory for further information regarding obtaining and applying appropriate updates.

SuSE Linux has made fixes available dealing with these issues.

It is reported that patches originally used to create fixes for BIDs 11830 and 11837 are very likely the same. Users of affected packages should review both BIDs and apply all relevant fixes.

Debian has released advisory DSA 618-1 dealing with this and other issues. Please see the referenced advisory for more information.

Debian has released advisory DSA 628-1 to address this issue for IMLib2. Please see the referenced advisory for more information.

Ubuntu Linux has released advisory USN-55-1 to address this, and other issues. Please see the referenced advisory for further information.

Gentoo has released advisory GLSA 200501-19 to address these issues. Gentoo users may update their computers by carrying out the following commands:

emerge --sync
emerge --ask --oneshot --verbose ">=media-libs/imlib2-1.2.0"

Please see the referenced advisory for more information.


Enlightenment Imlib2 1.0.5

Imlib Imlib 1.9

Imlib Imlib 1.9.1

Imlib Imlib 1.9.10

Imlib Imlib 1.9.11

Imlib Imlib 1.9.12

Imlib Imlib 1.9.13

Imlib Imlib 1.9.14

Imlib Imlib 1.9.2

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站